Bug 1233076 - lz4: sparse file support in lz4cat breaks pipes
Summary: lz4: sparse file support in lz4cat breaks pipes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lz4
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-18 08:00 UTC by Florian Weimer
Modified: 2015-07-10 19:06 UTC (History)
3 users (show)

Fixed In Version: lz4-r130-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 20:14:22 UTC


Attachments (Terms of Use)

Description Florian Weimer 2015-06-18 08:00:37 UTC
Description of problem:

The sparse file support in lz4cat breaks piping.

Version-Release number of selected component (if applicable):

lz4-r129-1.fc22.x86_64

How reproducible:


Steps to Reproduce:
1. rpm -qi lz4 | lz4 | lz4cat

Actual results:

Error 68 : Skip error (sparse file)

Expected results:

Successful decompression.

Additional info:

Debian's version is based on r122 and does not have this problem.

A workaround is to use the --no-sparse option.

Comment 1 pjp 2015-06-18 19:21:09 UTC
This has been fixed in the latest upstream release lz4-r130
    -> https://groups.google.com/forum/#!topic/lz4c/YGS4bE9f3-M

Comment 2 Fedora Update System 2015-06-18 19:26:27 UTC
lz4-r130-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lz4-r130-1.fc21

Comment 3 Fedora Update System 2015-06-18 19:27:39 UTC
lz4-r130-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/lz4-r130-1.el7

Comment 4 Fedora Update System 2015-06-18 19:29:52 UTC
lz4-r130-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/lz4-r130-1.fc22

Comment 5 Fedora Update System 2015-06-18 19:30:00 UTC
lz4-r130-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lz4-r130-1.el6

Comment 6 Fedora Update System 2015-06-18 19:30:09 UTC
lz4-r130-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lz4-r130-1.el5

Comment 7 Fedora Update System 2015-06-18 19:31:19 UTC
lz4-r130-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lz4-r130-1.fc20

Comment 8 Fedora Update System 2015-06-20 21:12:04 UTC
Package lz4-r130-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lz4-r130-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6781/lz4-r130-1.el6
then log in and leave karma (feedback).

Comment 9 James Boyle 2015-06-29 14:48:43 UTC
lz4-r130-1.el6.x86_64 from epel-testing corrected the "Error 68 : Skip error (sparse file)" error for me on RHEL 6.6.

Thanks,
--James

Comment 10 Fedora Update System 2015-06-30 20:14:22 UTC
lz4-r130-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-07-08 17:00:22 UTC
lz4-r130-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-07-08 17:03:31 UTC
lz4-r130-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-08 17:05:02 UTC
lz4-r130-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-10 19:06:44 UTC
lz4-r130-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.